Core - Task # 28676

Status: Resolved Priority: Should have
Author: Steffen Kamper Category:

Created: 2011-08-02 Assigned To:

Updated: 2011-08-22 Due date:

TYPO3 Version: 4.6

PHP Version:

Complexity:

Sprint Focus:

Subject: [Task] Move aboutmodules files into extension directory

Description

There are two classes in typo3 directory which are classes from the module "aboutmodules":
alt_intro.php

class.alt_menu_functions.inc

Move them into extension directory, make some cleanup

Related issues:

related to Core - Bug # 17170: TYPOS core modules should be adapted for mod.php Resolved 2007-03-29

Associated revisions

Revision f43e316b - 2011-08-22 19:51 - Steffen Kamper

[TASK] Move aboutmodules files into extension directory

There are two classes in typo3 directory which belong to the "aboutmodules" module:
alt_intro.php

class.alt_menu_functions.inc

Move them into the extension's directory, cleanup a bit and use the module
dispatcher to call the module.

Change-Id: 12c398d985339bd1b35d15755cfec43b6e2c42eb5
Resolves: #28676
Reviewed-on: http://review.typo3.org/4021

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

History

#1 - 2011-08-02 13:59 - Mr. Hudson

Patch set 1 of change 12c398d985339bd1b35d15755cfec43b6e2c42eb5 has been pushed to the review server.
It is available at http://review.typo3.org/4021

#2 - 2011-08-02 20:20 - Mr. Hudson
Patch set 2 of change 12c398d985339bd1b35d15755cfec43b6e2c42eb5 has been pushed to the review server.

It is available at http://review.typo3.org/4021

#3 - 2011-08-02 23:57 - Thorsten Kahler
- Status changed from New to Under Review

| think this is a cleanup and thus can still be targeted on version 4.6

#4 - 2011-08-03 12:14 - Mr. Hudson

Patch set 3 of change 12c398d985339bd1b35d15755cfec43b6e2c42eb5 has been pushed to the review server.

It is available at http://review.typo3.org/4021

#5 - 2011-08-04 00:55 - Mr. Hudson

Patch set 4 of change 12c398d985339bd1b35d15755cfec43b6e2c42eb5 has been pushed to the review server.

It is available at http://review.typo3.org/4021

#6 - 2011-08-22 18:22 - Mr. Hudson

Patch set 5 of change 12¢398d985339bd1b35d15755cfec43b6e2c42eb5 has been pushed to the review server.

It is available at http://review.typo3.org/4021

#7 - 2011-08-22 20:00 - Steffen Kamper
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f43e316b56820d46347ee67af7e55¢c1fe2836641.
